## Rich Client Platform (RCP) help

The Help system is an optional Rich Client Platform (RCP) component. That is, it is not part of the minimal RCP, but can be added to it. The following plug-ins and all of their dependencies, including optional dependencies must be added to the RCP base in order to run the Help system:

org.eclipse.help.ui
org.eclipse.help.webapp

Note: Help contents will only be made available to the user if there is content available. If there are no topics in the table of contents, the help will not be available.

### Setting the Help Server Port and Hostname

The help server port and host name can be specified using virtual machine arguments as follows:

- -Dserver_port=<port number> specifies the port number that the help server will use.
- -Dserver_host=<host name> specifies the host name which will be used when the help system creates URLs which reference help pages.